Data Science Dojo <br/>
Copyright (c) 2016 - 2019

---

**Level** Intermediate <br/>
**Recommended Use:** Regression Models<br/>
**Domain:** Automobiles<br/> 

## Auto MPG Data Set 

### Can you predict the fuel-efficieny of a car? 


---
![](tim-mossholder-680992-unsplash.jpg)
---

This *intermediate* level data set has 398 rows and 9 columns and provides mileage, horsepower, model year, and other technical specifications for cars. This data set is recommended for learning and practicing your skills in **exploratory data analysis**, **data visualization**, and **regression modelling techniques**. Feel free to explore the data set with multiple **supervised** and **unsupervised** learning techniques. The Following data dictionary gives more details on this data set:

---

### Data Dictionary 


| Column   Position 	| Atrribute Name 	| Definition                   	| Data Type    	| Example                	| % Null Ratios 	|
|-------------------	|----------------	|------------------------------	|--------------	|------------------------	|---------------	|
| 1                 	| X1             	| Relative   Compactness       	| Quantitative 	| 0.86, 0.71, 0.79       	| 0             	|
| 2                 	| X2             	| Surface   Area               	| Quantitative 	| 588.0, 689.0, 710.5    	| 0             	|
| 3                 	| X3             	| Wall   Area                  	| Quantitative 	| 318.5, 416.5, 294.0    	| 0             	|
| 4                 	| X4             	| Roof   Area                  	| Quantitative 	| 110.25, 147.00, 122.50 	| 0             	|
| 5                 	| X5             	| Overall   Height             	| Quantitative 	| 7.0, 3.5               	| 0             	|
| 6                 	| X6             	| Orientation                  	| Quantitative 	| 2, 3, 5                	| 0             	|
| 7                 	| X7             	| Glazing   Area               	| Quantitative 	| 0.1, 0.25, 0.4         	| 0             	|
| 8                 	| X8             	| Glazing Area   Distribution  	| Quantitative 	| 0, 2, 4                	| 0             	|
| 9                 	| Y1             	| Heating   Load               	| Quantitative 	| 10.43, 11.69, 11.09    	| 0             	|
| 10                	| Y2             	| Cooling Load                 	| Quantitative 	| 13.71, 14.45, 19.34    	| 0             	|


### Acknowledgement


This data set has been sourced from the Machine Learning Repository of University of California, Irvine [Auto MPG Data Set (UC Irvine)](https://archive.ics.uci.edu/ml/datasets/auto+mpg). The UCI page mentions [StatLib (Carnegie Mellon University)](http://lib.stat.cmu.edu/datasets/) as the original source of the data set.  
